Description: skip upstream's needless introduction of File::ShareDir::PathClass
 Maintaining a whole package for what is effectively a one-liner (plus a lot
 more magic to make it work, and yet more documentation of it all...) is a
 waste of resources.
Author: Florian Schlichting <fschlich@zedat.fu-berlin.de>
Forwarded: not-needed

--- a/Build.PL
+++ b/Build.PL
@@ -26,7 +26,7 @@
   "requires" => {
     "Exporter" => 0,
     "File::Copy" => 0,
-    "File::ShareDir::PathClass" => 0,
+    "File::ShareDir" => 0,
     "File::Temp" => 0,
     "Path::Class" => 0,
     "Readonly" => 0,
--- a/META.json
+++ b/META.json
@@ -28,7 +28,7 @@
          "requires" : {
             "Exporter" : "0",
             "File::Copy" : "0",
-            "File::ShareDir::PathClass" : "0",
+            "File::ShareDir" : "0",
             "File::Temp" : "0",
             "Path::Class" : "0",
             "Readonly" : "0",
--- a/META.yml
+++ b/META.yml
@@ -21,7 +21,7 @@
 requires:
   Exporter: 0
   File::Copy: 0
-  File::ShareDir::PathClass: 0
+  File::ShareDir: 0
   File::Temp: 0
   Path::Class: 0
   Readonly: 0
--- a/lib/Test/Corpus/Audio/MPD.pm
+++ b/lib/Test/Corpus/Audio/MPD.pm
@@ -17,7 +17,7 @@
 # ABSTRACT: automate launching of fake mdp for testing purposes
 
 use File::Copy                qw{ copy     };
-use File::ShareDir::PathClass qw{ dist_dir };
+use File::ShareDir            qw{ dist_dir };
 use File::Temp                qw{ tempdir  };
 use Path::Class;
 use Readonly;
@@ -29,7 +29,7 @@
     start_test_mpd stop_test_mpd
 };
 
-Readonly my $SHAREDIR    => dist_dir('Test-Corpus-Audio-MPD');
+Readonly my $SHAREDIR    => dir( dist_dir('Test-Corpus-Audio-MPD') );
 Readonly my $TEMPLATE    => $SHAREDIR->file( 'mpd.conf.template' );
 Readonly my $TMPDIR      => dir( tempdir( CLEANUP=>1 ) );
 Readonly my $CONFIG      => $TMPDIR->file( 'mpd.conf' );
--- a/t/000-report-versions-tiny.t
+++ b/t/000-report-versions-tiny.t
@@ -50,7 +50,7 @@
 
 eval { $v .= pmver('Exporter','any version') };
 eval { $v .= pmver('File::Copy','any version') };
-eval { $v .= pmver('File::ShareDir::PathClass','any version') };
+eval { $v .= pmver('File::ShareDir','any version') };
 eval { $v .= pmver('File::Temp','any version') };
 eval { $v .= pmver('Module::Build','0.3601') };
 eval { $v .= pmver('Path::Class','any version') };
